import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../entities/leaderboard.dart';
import '../repository/ranked_repository.dart';

class GetLeaderboardUseCase
    implements UseCase<DataState<Leaderboard>, NoParams> {
  final RankedRepository repository;
  GetLeaderboardUseCase(this.repository);

  @override
  Future<DataState<Leaderboard>> call(NoParams params) =>
      repository.getLeaderboard();
}
